(function () {
    window.applicationVersion = '0.1.0';

    window.serviceUrl = "../backend/service/index.php";
    window.hasServiceInDNS = true;

    window.templateUrl = "./bower_components/zeedhi-frontend/templates/dyman/";
    window.packages = {
        "zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
        "product": "./assets",
        "default": '.',
    };
    window.serviceUrls =  [
        {
            "baseUrl" : "../backend/service/index.php/crud",
            "package": "crud"
        }
    ];
    var packages = window.packages;
    var metadataUrls = [];

    for (var key in packages) {
        metadataUrls.push({
            "package": key,
            "baseUrl": packages[key]
        });
    }

    window.lang = 'pt_br';
    window.metadataUrl = "assets";
    window.metadataUrls = metadataUrls;
    window.inDeveloperMode = false;
    window.docsUrl = "./bower_components/zeedhi-frontend/docs/dyman/";
    window.defaultUserImageUrl = 'assets/images/user.jpg';
    window.cssUrl = "../assets/main.min.css";
    window.cssStyle = "pebbian";
    window.templateUrls = window.templateUrls || [];
    window.hideTranslateButton = true;

    window.templateUrls.push({
        package: 'schoolmeals',
        baseUrl: 'schoolmeals_components/'
    });

    window.containerMap = {
	    
    };

     window.taskHasMappedContainer = name =>{
        return window.containerMap[name] != null ? 'S' : 'N';
    };

    window.openMappedContainer = (taskDetails) => {
        let tecfoodContainerName = taskDetails.CDTELAATIVIDADE;
        if(window.containerMap.hasOwnProperty(tecfoodContainerName)){
            openWindow(window.containerMap[tecfoodContainerName]);
        } 
        else {
            window.taskDetails = taskDetails;
            window.taskDetails.shouldBeOnBrowser = tecfoodContainerName !== null;
            openWindow("noScreenTask");
        }
    };
})();